View Issue Details

IDProjectCategoryView StatusLast Update
0020427mantisbtadministrationpublic2016-06-12 00:43
ReporterdregadAssigned Todregad 
PrioritynormalSeveritytweakReproducibilityN/A
Status closedResolutionfixed 
Product Version 
Target Version1.3.0-rc.2Fixed in Version1.3.0-rc.2 
Summary0020427: Admin checks should validate MySQL database default collation
Description

Currently, we perform the check for UTF-8 collation on tables and column, but not at DB level.

Consequently, future tables may have an incorrect collation if the default collation is not UTF-8 (MySQL defaults to 'latin1_swedish_ci').

TagsNo tags attached.

Activities

There are no notes attached to this issue.

Related Changesets

MantisBT: master 5348d790

2015-12-26 19:11:43

dregad

Details Diff
Admin check: fail if DB default collation is not UTF-8

Fixes 0020427
mod - admin/check/check_database_inc.php Diff File

Issue History

Date Modified Username Field Change
2015-12-26 19:10 dregad New Issue
2015-12-26 19:10 dregad Status new => assigned
2015-12-26 19:10 dregad Assigned To => dregad
2016-01-01 18:56 dregad Changeset attached => MantisBT master 5348d790
2016-01-01 18:56 dregad Status assigned => resolved
2016-01-01 18:56 dregad Resolution open => fixed
2016-01-01 18:56 dregad Fixed in Version => 1.3.0-rc.2
2016-06-12 00:43 vboctor Status resolved => closed